%define debug_package %{nil}

Summary: DrakX binaries
Name: drakx-installer-binaries
Version: 2.24
Release: %mkrel 1
Source0: %{name}-%{version}.tar.xz
# NO PATCH ALLOWED
Patch0:	kmod-log.diff
Patch1:	http.diff
Patch2:	udevadm-settle.diff
License: GPL
Group: Development/Other
Url: https://wiki.mageia.org/en/Stage_One_install
BuildRequires: kernel-desktop-latest
BuildRequires: ldetect-devel >= 0.12.8
BuildRequires: ldetect-lst >= 0.1.324
BuildRequires: ldetect-lst-devel
BuildRequires: pkgconfig(libkmod) >= 3-3
BuildRequires: pkgconfig(libpci) >= 3.1.7-2
BuildRequires: sysfsutils-devel
BuildRequires: pkgconfig(slang)
BuildRequires: pkgconfig(libnewt)
BuildRequires: pkgconfig(zlib)
BuildRequires: flex 
BuildRequires: byacc 
BuildRequires: pkgconfig(libpci)
BuildRequires: mageia-release-common >= 5-1

#- not requiring the same version otherwise releasing drakx-installer-images takes a day
#- (restore this when the build system can build a pack of packages)
Requires: ldetect-lst

%description
binaries needed to build %{_vendor} installer (DrakX)

%package probe
Summary: DrakX probe-modules tool
Group: Development/Other

%description probe
probe-modules tool needed to build %{_vendor} live

%prep
%setup -q
%autopatch -p1

%build
%make -C mdk-stage1

%install
cd mdk-stage1
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
install init stage1 rescue-gui dhcp-client probe-modules $dest
if [ -e pcmcia/pcmcia_probe.o ]; then
  install -m 644 pcmcia/pcmcia_probe.o $dest
fi


%files
%exclude %{_libdir}/%name/probe-modules
%{_libdir}/%name

%files probe
%{_libdir}/%name/probe-modules


%changelog
* Thu Jun 22 2017 tv <tv> 2.24-1.mga6
+ Revision: 1108169
- recognize 8812au (mga#21043)

* Mon Jun 05 2017 tmb <tmb> 2.23-2.mga6
+ Revision: 1107004
- rebuild for updated packages

* Sat Feb 25 2017 tv <tv> 2.23-1.mga6
+ Revision: 1087873
- recognize new kernel-4.8 drivers

* Sat Feb 25 2017 tv <tv> 2.22-1.mga6
+ Revision: 1087774
- recognize new kernel-4.9 drivers

* Tue Oct 18 2016 ennael <ennael> 2.21-2.mga6
+ Revision: 1062066
- rebuild for kernel 4.4.22-1

* Tue Jul 05 2016 tv <tv> 2.21-1.mga6
+ Revision: 1038902
- recognize new kernel-4.7 drivers

* Fri Jul 01 2016 tv <tv> 2.20-1.mga6
+ Revision: 1038273
- fix description of network interfaces (mga#15638)

* Thu Jun 30 2016 tv <tv> 2.19-1.mga6
+ Revision: 1038220
- recognize some missing wireless drivers (mga#16768)

* Sat Jun 11 2016 tv <tv> 2.18-3.mga6
+ Revision: 1021198
- better udev fix

* Sat Jun 11 2016 tmb <tmb> 2.18-2.mga6
+ Revision: 1021155
- wait for udev to rename network interfaces if needed (mga#18662 testfix)

* Tue Apr 26 2016 tv <tv> 2.18-1.mga6
+ Revision: 1006341
- recognize new kernel-4.6 drivers

* Sun Feb 14 2016 umeabot <umeabot> 2.17-3.mga6
+ Revision: 959849
- Mageia 6 Mass Rebuild

* Thu Dec 31 2015 blino <blino> 2.17-2.mga6
+ Revision: 917097
- buildrequire kernel-desktop instead of deprecated kirkwood flavor on ARM

* Tue Dec 22 2015 tv <tv> 2.17-1.mga6
+ Revision: 913381
- recognize new kernel-4.4 drivers

* Fri Dec 04 2015 tv <tv> 2.16-1.mga6
+ Revision: 907979
- recognize new kernel-4.3 drivers
- switch to pkgconfig() BRs

* Wed Oct 21 2015 tv <tv> 2.15-2.mga6
+ Revision: 893345
- disable debuginfo

* Thu Aug 27 2015 tv <tv> 2.15-1.mga6
+ Revision: 870303
- fixed tarball
- recognize new kernel-4.1 drivers

* Fri Aug 21 2015 tmb <tmb> 2.14-1.mga6
+ Revision: 867196
- fix build with new gcc
- rebuild for new gcc

* Sun May 31 2015 tmb <tmb> 2.13-4.mga5
+ Revision: 822821
- rebuild for official release

* Sat May 09 2015 tmb <tmb> 2.13-3.mga5
+ Revision: 821541
- rebuild for new stage1 date

* Tue Feb 24 2015 tv <tv> 2.13-2.mga5
+ Revision: 816844
- rebuild with new ldetect

* Wed Feb 18 2015 tv <tv> 2.13-1.mga5
+ Revision: 815457
- mount again debugfs for ldetect (mga#14435)
  (regression in 1.83)

* Thu Jan 29 2015 tv <tv> 2.12-1.mga5
+ Revision: 812649
- recognize new kernel-3.19 drivers

* Sat Dec 20 2014 tv <tv> 2.11-1.mga5
+ Revision: 804421
- recognize new kernel-3.18 drivers (mga#14799)

* Sat Dec 20 2014 ennael <ennael> 2.10-1.mga5
+ Revision: 804407
- include new 3.18 USB host drivers (mga#14799)

* Sun Dec 14 2014 tmb <tmb> 2.9-4.mga5
+ Revision: 803089
- rebuild for new packages

* Wed Oct 15 2014 umeabot <umeabot> 2.9-3.mga5
+ Revision: 743979
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 tmb <tmb> 2.9-2.mga5
+ Revision: 737975
- rebuild with new byacc and glibc

* Thu Sep 18 2014 tmb <tmb> 2.9-1.mga5
+ Revision: 694682
- glibc 2.20 wants _DEFAULT_SOURCE instead of _BSD_SOURCE

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sun Aug 31 2014 tv <tv> 2.8-1.mga5
+ Revision: 669785
- recognize new kernel-3.17 drivers

* Fri Aug 22 2014 tv <tv> 2.7-1.mga5
+ Revision: 666367
- recognize hyper-v network card

* Wed Aug 06 2014 tv <tv> 2.6-1.mga5
+ Revision: 660172
- recognize new kernel-3.16 drivers

* Wed Jun 18 2014 tv <tv> 2.5-1.mga5
+ Revision: 638040
- stop creating /dev entries now that we use udev

* Mon Jun 16 2014 tv <tv> 2.4-1.mga5
+ Revision: 637668
- fix building with "make -j24"

* Mon Jun 16 2014 tmb <tmb> 2.3-1.mga5
+ Revision: 637653
- restrict parallell build

  + tv <tv>
    - recognize new kernel-3.15 drivers
    - fix URL

* Mon Apr 28 2014 tv <tv> 2.2-1.mga5
+ Revision: 618530
- drop support for supermount (dead since 2007)
- recognize new kernel-3.14 drivers

* Fri Feb 28 2014 tv <tv> 2.1-1.mga5
+ Revision: 597809
- drop support for SPARC
- support dynamic linking only
- use getaddrinfo() with glibc too now that we use the dynamic library

* Mon Jan 27 2014 tmb <tmb> 2.0-3.mga4
+ Revision: 568472
- rebuild for Official

* Tue Nov 12 2013 tv <tv> 2.0-2.mga4
+ Revision: 550831
- drop static BR now that we do a shared build

* Wed Nov 06 2013 colin <colin> 2.0-1.mga4
+ Revision: 549782
- New version: 2.0
- o Ensure stage2 can load kernel modules and firmware

* Tue Oct 29 2013 ennael <ennael> 1.83-1.mga4
+ Revision: 547889
- do initrd symlinking in 'init'
- build init and stage1 as a shared library

* Tue Oct 22 2013 umeabot <umeabot> 1.82-2.mga4
+ Revision: 542145
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tv <tv> 1.82-1.mga4
+ Revision: 496979
- detect new kernel-3.12 modules

* Thu Oct 10 2013 tv <tv> 1.81-1.mga4
+ Revision: 494752
- sync with kernel-3.11 (might fix mga#11377)

* Thu Oct 10 2013 tv <tv> 1.80-1.mga4
+ Revision: 494734
- include latest list_modules.pl
  (might fix mga#11377)

* Mon Oct 07 2013 tv <tv> 1.79-2.mga4
+ Revision: 492729
- make kmod failures more verbose (mga#11377)

* Fri Aug 30 2013 tv <tv> 1.79-1.mga4
+ Revision: 473181
- fix compiling with gcc-4.8
- rebuild for new kmod

* Mon Jul 15 2013 tv <tv> 1.78-7.mga4
+ Revision: 454895
- rebuild for new kmod library

* Sat May 18 2013 tmb <tmb> 1.78-6.mga3
+ Revision: 413541
- rebuild for mageia-release

* Sat Apr 27 2013 tmb <tmb> 1.78-5.mga3
+ Revision: 411343
- rebuild for new ldetect-lst

* Wed Apr 24 2013 tmb <tmb> 1.78-4.mga3
+ Revision: 411079
- rebuild for new ldetect-lst

* Sat Apr 13 2013 tmb <tmb> 1.78-3.mga3
+ Revision: 410016
- rebuild for new ldetect-lst

* Fri Apr 05 2013 tmb <tmb> 1.78-2.mga3
+ Revision: 408212
- rebuild for new ldetect

* Sun Mar 31 2013 tv <tv> 1.78-1.mga3
+ Revision: 406806
- probe virtual drivers too (mga#9546)
  (install from Xen hd not supported yet)

* Tue Mar 26 2013 tv <tv> 1.77-1.mga3
+ Revision: 405389
- use kmod for module loading (mga#9242, based on Pok works @mdv)

* Fri Mar 22 2013 tv <tv> 1.76-1.mga3
+ Revision: 404414
- revert patch introduced in r7542 (breaks loading USB modules)

* Wed Mar 13 2013 alien <alien> 1.75-1.mga3
+ Revision: 402633
- fix loading modules with - in their names (mga#9242)

* Sat Mar 02 2013 tmb <tmb> 1.74.1-1.mga3
+ Revision: 401135
- update list_modules for xen dom0 and virtio support (#9242)

* Wed Feb 27 2013 tv <tv> 1.74-1.mga3
+ Revision: 400468
- drop merged patch
- fix unitialized memory screwing up dialog input (pok, mdv, mga#8729)
- kill bootsplash support (we drop bootsplash in kernel in 2008)
- kill firmware loader now that firmware are loaded by the kernel

* Mon Jan 21 2013 tmb <tmb> 1.73-8.mga3
+ Revision: 390464
- sync kernel list_modules with installer-images (P0)

* Wed Jan 16 2013 tmb <tmb> 1.73-7.mga3
+ Revision: 388847
- rebuild for new kernel and ldetect

* Thu Jan 10 2013 tmb <tmb> 1.73-6.mga3
+ Revision: 344854
- rebuild for ldetect-lst and other updates

* Tue Dec 11 2012 tv <tv> 1.73-5.mga3
+ Revision: 329655
- rebuild with new ldetect

* Fri Dec 07 2012 tv <tv> 1.73-4.mga3
+ Revision: 327760
- rebuild with new kmod/ldetect

* Thu Dec 06 2012 tv <tv> 1.73-3.mga3
+ Revision: 327338
- rebuild with new kmod/ldetect

* Tue Oct 02 2012 tv <tv> 1.73-2.mga3
+ Revision: 302098
- rebuild with ldetect & kmod (#5833)

* Mon Sep 17 2012 tv <tv> 1.73-1.mga3
+ Revision: 295542
- add firmware loader written in C (based on hotplug2) (mga#6323)

* Wed Sep 12 2012 tv <tv> 1.72-2.mga3
+ Revision: 293121
- rebuild for new ldetect

* Fri Sep 07 2012 tv <tv> 1.72-1.mga3
+ Revision: 289429
- fix URL passed to stage2 when user didn't provide the arch in the
  install path (mga#6823)
- retry with FTP instead of HTTP when there's no proxy and user didn't
  provided the architecture in the URL

* Mon Sep 03 2012 tv <tv> 1.71-1.mga3
+ Revision: 287705
- silent hid_generic loading

* Mon Sep 03 2012 tv <tv> 1.70-2.mga3
+ Revision: 287587
+ rebuild (emptylog)

* Mon Sep 03 2012 tv <tv> 1.70-1.mga3
+ Revision: 287577
- mount /dev as devtmpfs (pok, mdv)
- rely on /sys being created in images

* Fri Aug 31 2012 tv <tv> 1.69-1.mga3
+ Revision: 286735
- do not try to mount /proc/bus/usb
- load hid-generic

* Thu Aug 30 2012 tv <tv> 1.68-1.mga3
+ Revision: 285764
- mount /sys/kernel/debug (needed for new ldetect)

* Tue Jun 05 2012 tv <tv> 1.67-1.mga3
+ Revision: 255912
- make sure nurses get initialized in UTF-8 (mga#4894)
- revert to "linux" terminfo

* Fri Jun 01 2012 tv <tv> 1.66-1.mga3
+ Revision: 252937
- add BR
- do not advice long dead pcmcia.img & network.img images (mga#5466)
- first attempt at supporting XenBlk discs
- hide "KA server" option (mga#5944)
- switch from gethostbyname() to getaddrinfo() (mga#4056)
- switch from gethostbyaddr() to getnameinfo()
- use system libraries for newtw, slang & sysfs (mdv)

* Sat May 19 2012 tmb <tmb> 1.65-4.mga2
+ Revision: 235922
- rebuild for mageia-release

* Sun May 13 2012 tmb <tmb> 1.65-3.mga2
+ Revision: 235570
- rebuild with latest ldetect-lst

* Wed May 02 2012 tv <tv> 1.65-2.mga2
+ Revision: 234480
- rebuild for new ldetect-lst (mga#5681)

* Sun Apr 08 2012 pterjan <pterjan> 1.65-1.mga2
+ Revision: 229600
- Support mounting btrfs in stage1

* Thu Apr 05 2012 tv <tv> 1.64-1.mga2
+ Revision: 228732
- default to "screen" instead of "linux" terminfo (mga#4894)

* Mon Mar 19 2012 tmb <tmb> 1.63-3.mga2
+ Revision: 224473
- rebuild for new ldetect

* Mon Mar 19 2012 tmb <tmb> 1.63-2.mga2
+ Revision: 224374
- rebuild for new kmod

* Mon Mar 12 2012 tv <tv> 1.63-1.mga2
+ Revision: 223102
- do not try to load obsolete sqlzma & squashfs_lzma kernel modules
- recognize c67x00, imx21-hcd, fhci, isp1362-hcd, oxu210hp-hcd & renesas-usbhs
  USB host drivers (mga#4905)

* Sat Mar 03 2012 tmb <tmb> 1.62-2.mga2
+ Revision: 217249
- rebuild with new kmod

* Sun Feb 26 2012 tv <tv> 1.62-1.mga2
+ Revision: 215015
- fix segfaulting when ISO directory is not valid (mga#4592)

* Tue Feb 21 2012 tv <tv> 1.61-1.mga2
+ Revision: 211562
- fix building with newer dietlibc/zlib
- rebuild with new dietlibc

* Thu Jan 26 2012 tv <tv> 1.60-1.mga2
+ Revision: 202042
- add support for virtio discs

* Mon Jan 23 2012 tv <tv> 1.59-1.mga2
+ Revision: 200357
- try to use arch-prefixed location for FTP & HTTP installs (mga#2578)

* Mon Jan 23 2012 tv <tv> 1.58-3.mga2
+ Revision: 200132
- rebuild with new dietlibc
- remove debug patch

* Fri Jan 20 2012 tv <tv> 1.58-1.mga2
+ Revision: 198807
- add support for kernel compressed as XZ

* Fri Jan 20 2012 tv <tv> 1.57-1.mga2
+ Revision: 198505
- fix linking with new kmod

* Fri Jan 13 2012 tv <tv> 1.56-1.mga2
+ Revision: 195826
- kill 10 years old snapshot of pppd & pppoe
  (now using upstream pppd & pppoe)
- link with libkmod instead of libmodprobe

  + tmb <tmb>
    - dont hardcode vendor

* Wed Dec 28 2011 tmb <tmb> 1.55-1.mga2
+ Revision: 188498
- (handle_pcmcia) kill obsolete test for 2.2 kernel (tv)
- sync with kernel-3.2.0-0.rc7.1.mga2 for updated list_modules.pm
- drop defattr

* Mon Dec 19 2011 blino <blino> 1.54-1.mga2
+ Revision: 184626
- 1.54
- fix retrieving mirrorlist, broken in 1.53
- fix build with Werror

* Wed Dec 14 2011 tv <tv> 1.53-1.mga2
+ Revision: 181580
- display distro name in mirror list too (#191)

* Tue Dec 06 2011 tmb <tmb> 1.52-1.mga2
+ Revision: 177898
- fix build with gcc-4.6.2
  * fixes for -Werror=unused-but-set-variable
  * minor whitespace cleanups
- rebuild for new kernel, ldetect-lst, gcc, ...

* Mon Oct 24 2011 tmb <tmb> 1.51-1.mga2
+ Revision: 157770
- 1.51: sync with kernel-3.1.0-1.mga2
  * add hid devices:
        hid-keytouch, hid-uclogic
  * add sas/raid driver:
        isci
  * add sound devices:
        snd-lola, snd-firewire-speakers snd-isight, snd-usb-6fire
  * add usb/storage:
        ums-eneub6250, ums-realtek
  * add wireless drivers:
        brcmsmac, rtl8187se, rtusb, rtl8192se, rtl8192cu, rtl8192de

* Tue Oct 18 2011 tmb <tmb> 1.50-4.mga2
+ Revision: 156246
- check rebuild since almost all BR rpms have been updated

* Sun Jun 19 2011 tmb <tmb> 1.50-3.mga2
+ Revision: 109855
- drop hard requires on mageia-release-common

* Mon May 30 2011 tmb <tmb> 1.50-2.mga1
+ Revision: 100804
- rebuild with correct mageia-release

* Fri May 20 2011 blino <blino> 1.50-1.mga1
+ Revision: 99838
- drop old patches (better fix than patch0, patch1 useless, patch2 merged)
- 1.50
- do not attempt to perform ISA probe for PCMCIA controller on x86_64
  as it fails with kvm_amd (#1156)
- add ums-* (USB mass storage) modules in disk/usb category

* Thu May 19 2011 tmb <tmb> 1.49-3.mga1
+ Revision: 99817
- dont hardcode cauldron in api url

  + rtp <rtp>
    - fix build requires for architectures building against glibc and not dietlibc
    - Fix build requires on kernel-desktop-latest as there's none on arm/mips

* Mon May 09 2011 tv <tv> 1.49-2.mga1
+ Revision: 96707
- patch 2: do not probre for another ISA PCMCIA controller on x86_64 too (#1024)

* Sat May 07 2011 tv <tv> 1.49-1.mga1
+ Revision: 95827
- BuildRequires: kernel-desktop-latest instead of kernel which can bring
  kernel-netwook which will break the build as it has no PCMCIA support
- patch 2: do not attempt to perform ISA probe for PCMCIA controller on x86_64
  as it fails with kvm_amd (#1156)
- 1.49:
- use new libldetect API for finding out unknown devices
- handle more PCMCIA controllers
- "i82365" driver was renamed "pd6729"
  1.48:
- arm/mips support
- try to handle built-in modules
- fix build with Werror
- use mirrors.mageia.org/api for mirror list
- patch1: remove part that was merged

* Sun Mar 13 2011 tmb <tmb> 1.47-3.mga1
+ Revision: 70343
- rebuild to get correct info from /etc/product.id

* Sun Feb 20 2011 tmb <tmb> 1.47-2.mga1
+ Revision: 54595
- fix api url so stage1 works for network install

* Mon Feb 07 2011 dmorgan <dmorgan> 1.47-1.mga1
+ Revision: 48157
- imported package drakx-installer-binaries

